Flash Player 8 or higher is required. You can download the Flash plugin from Adobe.com